/* TRANSACTION TEST TRXID CLASS */
class com.cintegrity.Lib.Collection.TrxID:
  define private variable cch_TrxID as character.
  define private variable cdt_TimeStamp as datetime no-undo.
  define private variable cch_CustName as character no-undo.

  constructor public TrxID(
      input ipch_TrxID as character
      ):
    define variable min_Index as integer no-undo.
    define variable mch_Time as character no-undo.
    define variable mch_Date as character no-undo.
    assign
        cch_TrxID 	= ipch_TrxID
        .
    min_Index = r-index(cch_TrxID, "T").
    mch_Time = substring( cch_TrxID, min_Index + 1 ).
    mch_Date = substring( cch_TrxID, min_Index - 8, 8).
    cdt_TimeStamp = datetime(
        integer( substring( mch_Date, 5, 2 ) ),
        integer( substring( mch_Date, 7, 2 ) ),
        integer( substring( mch_Date, 1, 4 ) ),
        integer( substring( mch_Time, 1, 2 ) ),
        integer( substring( mch_Time, 3, 2 ) ),
        integer( substring( mch_Time, 5, 2 ) ),
        integer( substring( mch_Time, 7, 3 ) )
        ).
    cch_CustName = substring( cch_TrxID, 1, min_Index - 9).

  end constructor.

  method public character getTrxID():
    return cch_TrxID.
  end.

  method public character getCustName():
    return cch_CustName.
  end.

  method public datetime getTimestamp():
    return cdt_TimeStamp.
  end.

end class.
